Bug 114280 - svg/animations/smil-leak-*.svg tests are flaky
Summary: svg/animations/smil-leak-*.svg tests are flaky
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
: 114281 (view as bug list)
Depends on:
Blocks: 50856
  Show dependency treegraph
 
Reported: 2013-04-09 06:39 PDT by WebKit Commit Bot
Modified: 2017-08-22 17:23 PDT (History)
5 users (show)

See Also:


Attachments
Archive of layout-test-results from webkit-cq-02 (544.91 KB, application/zip)
2013-04-09 06:39 PDT, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (545.51 KB, application/zip)
2013-04-16 13:15 PDT, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-03 (543.46 KB, application/zip)
2013-04-19 08:59 PDT, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-03 (544.75 KB, application/zip)
2013-04-24 19:07 PDT, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (544.10 KB, application/zip)
2013-05-06 08:35 PDT, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (565.10 KB, application/zip)
2013-05-22 09:01 PDT, WebKit Commit Bot
no flags Details
speculative fix (7.97 KB, patch)
2013-09-12 13:55 PDT, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff
another speculative fix (5.59 KB, patch)
2013-09-16 10:33 PDT, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-cq-03 (1018.96 KB, application/zip)
2017-07-28 03:26 PDT, WebKit Commit Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description WebKit Commit Bot 2013-04-09 06:39:29 PDT
This is an automatically generated bug from the commit-queue.
svg/animations/smil-leak-elements.svg has been flaky on the commit-queue.

svg/animations/smil-leak-elements.svg was authored by fmalita@chromium.org and timothy_horton@apple.com.
http://trac.webkit.org/browser/trunk/LayoutTests/svg/animations/smil-leak-elements.svg

The commit-queue just saw svg/animations/smil-leak-elements.svg flake (text diff) while processing attachment 197034 [details] on bug 85934.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.8.3

The bots will update this with information from each new failure.

If you believe this bug to be fixed or invalid, feel free to close.  The bots will re-open if the flake re-occurs.

If you would like to track this test fix with another bug, please close this bug as a duplicate.  The bots will follow the duplicate chain when making future comments.
Comment 1 WebKit Commit Bot 2013-04-09 06:39:31 PDT
Created attachment 197070 [details]
Archive of layout-test-results from webkit-cq-02
Comment 2 WebKit Commit Bot 2013-04-16 13:15:21 PDT
The commit-queue just saw svg/animations/smil-leak-elements.svg flake (text diff) while processing attachment 198387 [details] on bug 108980.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.8.3
Comment 3 WebKit Commit Bot 2013-04-16 13:15:22 PDT
Created attachment 198394 [details]
Archive of layout-test-results from webkit-cq-02
Comment 4 WebKit Commit Bot 2013-04-19 08:59:06 PDT
The commit-queue just saw svg/animations/smil-leak-elements.svg flake (text diff) while processing attachment 198850 [details] on bug 109588.
Bot: webkit-cq-03  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.8.3
Comment 5 WebKit Commit Bot 2013-04-19 08:59:07 PDT
Created attachment 198887 [details]
Archive of layout-test-results from webkit-cq-03
Comment 6 WebKit Commit Bot 2013-04-24 19:07:08 PDT
The commit-queue just saw svg/animations/smil-leak-elements.svg flake (text diff) while processing attachment 199517 [details] on bug 114218.
Bot: webkit-cq-03  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.8.3
Comment 7 WebKit Commit Bot 2013-04-24 19:07:10 PDT
Created attachment 199605 [details]
Archive of layout-test-results from webkit-cq-03
Comment 8 WebKit Commit Bot 2013-05-06 08:35:25 PDT
The commit-queue just saw svg/animations/smil-leak-elements.svg flake (text diff) while processing attachment 200427 [details] on bug 114742.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.8.3
Comment 9 WebKit Commit Bot 2013-05-06 08:35:26 PDT
Created attachment 200678 [details]
Archive of layout-test-results from webkit-cq-02
Comment 10 WebKit Commit Bot 2013-05-22 09:01:45 PDT
The commit-queue just saw svg/animations/smil-leak-elements.svg flake (text diff) while processing attachment 202536 [details] on bug 116605.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.8.3
Comment 11 WebKit Commit Bot 2013-05-22 09:01:47 PDT
Created attachment 202540 [details]
Archive of layout-test-results from webkit-cq-01
Comment 12 Alexey Proskuryakov 2013-09-12 13:49:24 PDT
*** Bug 114281 has been marked as a duplicate of this bug. ***
Comment 13 Alexey Proskuryakov 2013-09-12 13:55:16 PDT
Created attachment 211471 [details]
speculative fix
Comment 14 Tim Horton 2013-09-12 13:56:23 PDT
Comment on attachment 211471 [details]
speculative fix

Seems reasonable to me.
Comment 15 Alexey Proskuryakov 2013-09-12 14:01:55 PDT
Committed <http://trac.webkit.org/r155648>.
Comment 16 Alexey Proskuryakov 2013-09-13 10:35:03 PDT
This didn't help.
Comment 17 Alexey Proskuryakov 2013-09-13 16:00:08 PDT
Increased the number of nodes in the tests 10x in <http://trac.webkit.org/r155728> to see what happens (if the number of leaked nodes grows accordingly, we're more likely to have a real bug).
Comment 18 Alexey Proskuryakov 2013-09-16 10:33:04 PDT
Created attachment 211808 [details]
another speculative fix
Comment 19 Geoffrey Garen 2013-09-16 10:35:20 PDT
Comment on attachment 211808 [details]
another speculative fix

r=me
Comment 20 Alexey Proskuryakov 2013-09-16 10:39:14 PDT
Committed <http://trac.webkit.org/r155882>.
Comment 21 Alexey Proskuryakov 2013-09-16 12:35:43 PDT
And that didn't help either. Changed timeouts from 0 to 100 ms as suggested by Geoff on IRC: <http://trac.webkit.org/r155890>.
Comment 22 Alexey Proskuryakov 2013-09-16 13:17:30 PDT
Still failing, no change at all (seeing between 4 and 14 leaked nodes).
Comment 23 Alexey Proskuryakov 2013-09-16 13:34:33 PDT
Marked as flaky in <http://trac.webkit.org/r155897>. This seems more like a real WebKit bug now, the tests are doing everything possible to perform a complete garbage collection.
Comment 24 Geoffrey Garen 2013-09-16 17:04:37 PDT
> Marked as flaky in <http://trac.webkit.org/r155897>. 

I really don't like the "flaky" as a solution to a failing test. It's net negative information. If a bot watcher or engineer ever sets aside productive work to diagnose a red bot because of these broken tests, the tests will have been a net detriment to the project.

It would be better not to run these tests, or to run them to test for crashes, and completely ignore other output.

Another better option would be to give the tests a tolerance for some percentage of surviving Nodes. Then, they could still test for a traditional storage leak, which would exceed the tolerance.
Comment 25 Alexey Proskuryakov 2013-09-16 17:37:22 PDT
> or to run them to test for crashes, and completely ignore other output.

That's pretty much exactly what marking as flaky does - the test won't make bots red unless it starts to crash.

Plus flakiness console may one day tell us that the underlying bug disappeared, so we can remove the entries from TestExpectations.
Comment 26 Said Abou-Hallawa 2015-03-11 13:08:54 PDT
Committed r181401: <http://trac.webkit.org/changeset/181401>
Comment 27 Said Abou-Hallawa 2015-03-11 13:10:00 PDT
Change http://trac.webkit.org/changeset/181401 marks these test to be flaky on all ports.
Comment 28 WebKit Commit Bot 2017-07-28 03:26:33 PDT
The commit-queue just saw svg/animations/smil-leak-dynamically-added-element-instances.svg flake (text diff) while processing attachment 316629 [details] on bug 173419.
Bot: webkit-cq-03  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.11.6
Comment 29 WebKit Commit Bot 2017-07-28 03:26:34 PDT
Created attachment 316631 [details]
Archive of layout-test-results from webkit-cq-03